Es hora de dejar atrás PHP 7.0

Hace algún tiempo PHP 7.0 introdujo grandes mejoras de rendimiento para todas las aplicaciones web, incluido WordPress. Nuestros esfuerzos para popularizarlo entre nuestros clientes dieron como resultado que muchos sitios se volvieran más rápidos que antes. Sin embargo, desde ese momento se han lanzado dos versiones más nuevas de PHP: 7.1 y 7.2. Ahora es el momento de pasarse a una de estas nuevas versiones.

PHP 7.1 ahora viene predeterminado en las nuevas cuentas

La versión predeterminada de PHP en nuestros servidores siempre se selecciona teniendo en cuenta la seguridad. Cuando aparece una nueva versión, siempre somos rápidos para ponerla a disposición de nuestros clientes. Gracias a nuestra configuración de servidor, que permite múltiples versiones de PHP, cualquiera puede comenzar a usar el PHP más reciente inmediatamente después de su lanzamiento. Sin embargo, también somos muy cautos a la hora de lanzar la nueva versión predeterminada. Siempre intentamos dar suficiente tiempo a los propietarios de sitios web y a los desarrolladores de plugins antes de hacer el cambio para que su código sea compatible con la última versión.

Ahora que PHP 7.0 ya no tiene soporte activo por parte del equipo de PHP, hemos cambiado la versión PHP predeterminada para todos nuestros servidores a PHP 7.1. Por lo tanto, todas las cuentas nuevas se lanzarán con PHP 7.1. Este cambio no se aplica a los sitios web existentes y recomendamos encarecidamente a todos nuestros usuarios que verifiquen la versión de PHP que utilizan y lo cambien a 7.1 o una superior a través de la herramienta PHP Version Manager en el cPanel.

Nuestros usuarios de WordPress también pueden verificar la compatibilidad de su sitio web con PHP 7.1 antes de realizar el cambio en su panel de administración de WordPress, gracias a nuestro plugin SG Optimizer. Se hace de la misma manera que cuando presentamos esta fantástica opción para PHP 7.0: solo tienes que entrar en la página de configuración de PHP en SG Optimizer e iniciar la verificación de compatibilidad. ¡Tan fácil como eso!

¿Y qué hay de PHP 7.2?

En este momento, la última versión disponible es PHP 7.2 y seguramente te preguntarás por qué no hemos cambiado nuestros valores predeterminados con ella. A pesar de que es un hecho que PHP 7.2 tiene un mayor rendimiento y otras mejoras en comparación con su predecesor, también deja de lado una gran cantidad de funciones. Esto significa que muchos scripts no funcionarán correctamente o no funcionarán en absoluto. En el contexto de WordPress, aunque el core es totalmente compatible (y en realidad recomienda 7.2), muchos plugins no funcionarán correctamente por el momento. Es por eso que por ahora hemos decidido recomendar PHP 7.1. Cuando la mayoría de los desarrolladores de plugins soporten PHP 7.2, actualizaremos una vez más nuestra versión predeterminada del servidor, comprobaremos la compatibilidad de los plugin con el SG Optimizer y te pediremos que actualices a 7.2.

Desarrollo de producto - Técnico

Entusiasta de todas las aplicaciones Open Source que te puedas imaginar, pero en WordPress más que ninguna. Añade una pizca de amor por el diseño web, nuevas tecnologías, SEO ¡y ya lo tendrás!

Contestar

* (Requerido)